import request from '@/utils/request'

// 查询南洋数字图书馆菜单管理列表
export function listLibraryMenu(query) {
    return request({
        url: '/vr/libraryMenu/list',
        method: 'get',
        params: query
    })
}

// 查询南洋数字图书馆菜单管理列表
export function listFirstOrder() {
    return request({
        url: '/vr/libraryMenu/firstOrder',
        method: 'get'
    })
}

// 查询南洋数字图书馆菜单管理详细
export function getLibraryMenu(id) {
    return request({
        url: '/vr/libraryMenu/' + id,
        method: 'get'
    })
}

// 新增南洋数字图书馆菜单管理
export function addLibraryMenu(data) {
    return request({
        url: '/vr/libraryMenu',
        method: 'post',
        data: data
    })
}

// 修改南洋数字图书馆菜单管理
export function updateLibraryMenu(data) {
    return request({
        url: '/vr/libraryMenu',
        method: 'put',
        data: data
    })
}

// 删除南洋数字图书馆菜单管理
export function delLibraryMenu(id) {
    return request({
        url: '/vr/libraryMenu/' + id,
        method: 'delete'
    })
}
